D4Science Infrastructure - VM Creation #11045

FrenchTropicalTunaAtlas dedicated GeoServer
Jan 25, 2018 11:16 AM - Roberto Cirillo

Status: Closed Start date: Jan 24, 2018

Priority: Normal Due date:

Assignee: Fabio Sinibaldi % Done: 100%

Target version: SDI-nodes management

Infrastructure: Production Applications list and geoserver 2.10
version:

RAM: 8 Applications context geoserver
path:

CPU: 4 External storage data
disk:

DiskSpace: 40 Smartgears auth
connector:

Smartgears: Yes data transfer Yes
enabled:

Smartgears Version: LATEST PostgreSQL Yes
database:

Application Number of VMs: 1

Instructions:

Smartgears scopes: /d4science.research-infrastructures.eu/g

CubeApps/FrenchTropicalTunaAtlas

Description

Dedicated GeoServer is needed in the new FrenchTropicalTunaAtlas VRE.

The expected instance should be similar to geoserver-tunaatlas.d4science.org, so | assume provision might be done cloning said
VM, removing SG installation (i.e. gCube user) and perform ansible tasks to reconfigure it..

NB : data spaces need to be cleared as well.

Suggested name : geoserver-french_tunaatlas.d4science.org

Related issues:

Blocks D4Science Infrastructure - VM Creation #11038: FrenchTropicalTunaAtlas... Closed Jan 24, 2018
Copied to D4Science Infrastructure - VM Creation #11299: WECAFC-FIRMS dedicat... Closed Feb 23, 2018
History

#1 - Jan 25, 2018 11:16 AM - Roberto Cirillo
- Copied from VM Creation #11036: SDI_Lab dedicated GeoServer added

#2 - Jan 25, 2018 03:33 PM - Tommaso Piccioli

- Status changed from New to In Progress

VM geoserver-french-tunaatlas.d4science.org running, to be provisioned

(only letters, numbers, '-" and '." allowed in hostname )

#3 - Jan 25, 2018 05:23 PM - Fabio Sinibaldi

Hi, @julien.barde@ird.fr, @emmanuel.blondel@fao.org.. | need to ask you the same questions as for SDI_Lab VRE provisioning :

1)Do we need to run it behind the load balancer as we to for the tunaatlas services to have URLs like sdi-lab.d4science.org/{geoserver,geonetwork}?

2)The tunaatlas geoserver uses a jndi pool to connect to the database. Do we need to use a pool or a 'standard' connection, configured by the
geoserver admin?

#4 - Jan 25, 2018 05:24 PM - Fabio Sinibaldi
- Blocks VM Creation #11038: FrenchTropicalTunaAtlas dedicated GeoNetwork added

#5 - Jan 25, 2018 09:42 PM - Emmanuel Blondel

In that case clusters & load balancing could be useful but for starting a single instance should be ok, load balancing can be setup later if needed.
For JNDI, | don't think so, here it depends if @paul.taconet@ird.fr wants to configure multiple datastore configuration, and if they are strictly needed. If
yes, JNDI is required.

#6 - Jan 26, 2018 11:51 AM - Paul Taconet

We have discussed with Emmanuel, and concluded that we need 2 different datastores pointing to the same DB, so we would need the JDNI.
Thanks

#7 - Jan 26, 2018 06:17 PM - Andrea Dell'Amico
- % Done changed from 0 to 50

Provisioning is running.

#8 - Jan 26, 2018 06:29 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

The geoserver is available at http:/geoserver-french-tunaatlas.d4science.org/geoserver
The X509 certificate will be emitted in the next days.

#9 - Jan 26, 2018 06:31 PM - Andrea Dell'Amico

| assumed that the correct scope is /d4science.research-infrastructures.eu/gCubeApps/FrenchTropicalTunaAtlas

#10 - Jan 26, 2018 06:40 PM - Andrea Dell'Amico
- Copied from deleted (VM Creation #11036: SDI_Lab dedicated GeoServer)

#11 - Jan 29, 2018 09:22 AM - Roberto Cirillo

- Smartgears scopes updated

Andrea Dell'’Amico wrote:

| assumed that the correct scope is /d4science.research-infrastructures.eu/gCubeApps/FrenchTropical TunaAtlas

you are right

#12 - Feb 01, 2018 10:03 AM - Pasquale Pagano

is the certificate still pending?

#13 - Feb 01, 2018 10:25 AM - Tommaso Piccioli

Let's Encrypt certificate is OK, generated January 30, 2018, you can check it
https://geonetwork-french-tunaatlas.d4science.org/

#14 - Feb 05, 2018 03:35 PM - Fabio Sinibaldi

Instance registered in the VRE's IS.
SDI Service can be contacted in order to obtain credentials at : http://sdi.d4science.org/sdi-service/gcube/service/SDI
Documentation available at : https://gcube.wiki.gcube-system.org/gcube/Interaction_with SDI-Service

#15 - Feb 12, 2018 04:30 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed

#16 - Feb 23, 2018 12:41 PM - Roberto Cirillo
- Copied to VM Creation #11299: WECAFC-FIRMS dedicated GeoServer added

#17 - May 22, 2018 09:59 AM - Paul Taconet
- File Capture du 2018-05-22 09-56-20.png added
http://geoserver-french-tunaatlas.d4science.org/geoserver
https://geonetwork-french-tunaatlas.d4science.org/
http://sdi.d4science.org/sdi-service/gcube/service/SDI
https://gcube.wiki.gcube-system.org/gcube/Interaction_with_SDI-Service

- File error_logs added

Hi,

| cannot access the Geoserver logs (see attached image and file). | need to access them to understand why some of the layers are not published.
Do you know where the problem comes from?

Thanks,

Paul

#18 - May 23, 2018 10:49 AM - Pasquale Pagano

- Assignee changed from _InfraScience Systems Engineer to Fabio Sinibaldi
please Fabio look at this issue.

#19 - May 23, 2018 10:53 AM - Emmanuel Blondel

@pasquale.pagano@isti.cnr.it fyi I've asked Paul to create a separate ticket for the same request, as this ticket was already closed.

Files
Capture du 2018-05-22 09-56-20.png 607 KB May 22, 2018 Paul Taconet
error_logs 14.8 KB May 22, 2018 Paul Taconet
